device_type: avh
job_name: {{ job_name }}
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

context:
  lava_test_results_dir: /var/lib/lava-%s

secrets:
  avh_api_token: avh_api_token

actions:

{% set dut_download_base = base_build_url %}

- deploy:
    to: avh
    options:
      model: imx93
      project_name: CI
    failure_retry: 3
    timeout:
      minutes: 30
    images:
      rootfs:
        url: {{ os_url["trs-image-trs-qemuarm64.rootfs.wic.bz2"] }}
        compression: bz2
        format: ext4
        root_partition: 1
        partition: 1
        overlays:
          lava: true
      kernel:
        url: {{ firmware_url["Image.signed"] }}
      dtb:
        url: {{ firmware_url["imx93-11x11-evk.dtb"] }}

- boot:
    method: avh
    timeout:
      minutes: 20
    auto_login:
      login_prompt: 'login:'
      username: "root"
    prompts:
      - .*root@(.*):[/~]#
    transfer_overlay:
      download_command: wget
      unpack_command: tar -C /var/lib/ -xzvf

{% include "tests.yaml.jinja2" %}
